***************************************************************
* SM_PBC.prg
* Author, Beverly Howard 
* function... preprocesses zip code information to be passed
* to POSTBAR() for actual printing of postal bar code
***************************************************************

param pcv0,pcv1,plv1,pcv4
private retval

if parameters()=0
	help postnet
	return ""
endif
   *pcv0 - Country
   *pcv1 - zip code + dpbc (13 characters max)
   *plv1 - High density
   *pcv4 - Emulation selection

do case
case type("m.pcv0")<> "C" 
	return m.pcv0
case m.pcv0<>"USA" and !empty(m.pcv0)
	return m.pcv0
case empty(pcv1)
	return ""
case type("m.pcv4") = "C" and m.pcv4 = "RENA"
	return ""
case type("m.renaprt") = "L" and m.renaprt
	return ""
endcase

do case
case " " $ subst(pcv1,7,4)
   * zip+4 not complete 
   pcv1 = left(pcv1,5)
case len(pcv1) > 12
   * check digit has been passed
   pcv1 = left(pcv1,12)
endcase

retval=postbar(pcv1,.t.,pcv4)

if _windows and type("m.pcv4")="L"
	return m.retval
else
	return ""
endif

